' A simple model, with exogenous income distribution

WFCREATE U 1 300
SERIES K=1000
SERIES M=200
SERIES L=M
SERIES AZ=K-L
SERIES VH=AZ+M
SERIES I = 95
' Parz rapporto tra nuove azioni e investimenti
SERIES PARZ = 0.2
SERIES DAZ = PARZ*I

SERIES RM=0.01
SERIES RL = 0.02
SERIES Y = 1000
SERIES CONS=Y-I
SERIES WB=0.9*Y
SERIES FT=Y-WB
 pard = quota dei profitti distribuiti
SERIES PARD = 0.3
SERIES FD = PARD*(FT-RL*L)
SERIES FU = FT-FD-RL*L
SERIES FB=RL*L-RM*M
SERIES YF=WB+FD+RM*M+FB
SERIES SH=YF-CONS

SERIES PARC1 = 0.9
SERIES PARC2 = 0.05
SERIES PARW = 0.9
SERIES PARK = 0.2

SERIES G=0.02

MODEL PAVIA
PAVIA.APPEND Y=CONS+I
PAVIA.APPEND YF=WB+FD+RM*M(-1)+FB
PAVIA.APPEND CONS = PARC1*YF + PARC2*VH(-1)
PAVIA.APPEND WB = PARW*Y
PAVIA.APPEND FT = Y-WB
PAVIA.APPEND FD = PARD*(FT-RL*L(-1))
PAVIA.APPEND FU = FT - FD - RL*L(-1)
PAVIA.APPEND FB = RL*L(-1) - RM*M(-1)
PAVIA.APPEND SH = YF - CONS
PAVIA.APPEND K = K(-1)*(1-PARK) + I
PAVIA.APPEND DAZ = PARZ*I
PAVIA.APPEND AZ = AZ(-1) + DAZ
PAVIA.APPEND L = L(-1) + I - FU - DAZ
PAVIA.APPEND VH = VH(-1) + SH
PAVIA.APPEND M = M(-1) + SH - DAZ
PAVIA.APPEND I=I(-1)*(1+G)

SMPL 2 300
PAVIA.SCENARIO "Baseline"
PAVIA.SOLVE
